import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.edge.EdgeCalculateApplication;
import com.gct.edge.entity.AoidSinglewellConfig;
import com.gct.edge.entity.DgnsGtbaseparam;
import com.gct.edge.entity.DgnsGtmloutcode;
import com.gct.edge.mapper.AoidSinglewellConfigMapper;
import com.gct.edge.service.abst.AoidSinglewellConfigService;
import com.gct.edge.service.abst.DgnsGtbaseparamService;
import com.gct.edge.service.abst.DgnsGtmloutcodeService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

/**
 * @author xusirui 2022/9/28
 */
@SpringBootTest(classes = EdgeCalculateApplication.class)
@RunWith(SpringRunner.class)
public class MyTest {

    @Autowired
    DgnsGtbaseparamService dgnsGtbaseparamService;

    @Autowired
    AoidSinglewellConfigService aoidSinglewellConfigService;

    @Autowired
    AoidSinglewellConfigMapper aoidSinglewellConfigMapper;

    @Autowired
    DgnsGtmloutcodeService dgnsGtmloutcodeService;

    @Test
    public void test(){
        String s = "1 = 结蜡\n" +
                "2 = 游动凡尔漏失\n" +
                "3 = 活塞脱桶\n" +
                "4 = 泵工作正常\n" +
                "5 = 泵卡\n" +
                "6 = 油管漏失\n" +
                "7 = 油杆断脱\n" +
                "8 = 出砂\n" +
                "9 = 凡尔漏失\n" +
                "10 = 凡尔失灵\n" +
                "11 = 供液不足\n" +
                "12 = 下碰\n" +
                "13 = 上挂\n" +
                "14 = 油稠\n" +
                "15 = 气体影响\n" +
                "16 = 双凡尔漏失\n" +
                "17 = 轻微供液不足\n" +
                "18 = 其它\n" +
                "19 = 振动或出砂\n" +
                "20 = 功图有误\n" +
                "21 = 固定凡尔漏失\n" +
                "22 = 蜡影响\n" +
                "23 = 严重供液不足\n" +
                "24 = 气锁\n" +
                "25 = 碰挂\n" +
                "26 = 碰泵\n" +
                "27 = 供液不足且碰泵\n" +
                "28 = 供液不足或喷抽\n" +
                "29 = 疑似游动凡尔漏失\n" +
                "30 = 高含水\n" +
                "31 = 疑似固定凡尔漏失\n" +
                "32 = 供液不足或固定凡尔漏失\n" +
                "33 = 供液不足且振动\n" +
                "34 = 水淹水窜\n" +
                "35 = 油杆断脱且砂卡\n" +
                "36 = 油杆断脱或双凡尔漏失\n" +
                "37 = 喷抽\n" +
                "38 = 气锁或固定凡尔漏失\n" +
                "39 = 油杆断脱且碰泵\n" +
                "40 = 气体影响或固定凡尔漏失\n" +
                "41 = 轻微供液不足且功图反转\n" +
                "42 = 轻微供液不足且振动\n" +
                "43 = 油杆断脱且出砂\n" +
                "44 = 下碰且轻微供液不足\n" +
                "45 = 喷抽或双凡尔漏失\n" +
                "46 = 泵工作正常且功图反转\n" +
                "47 = 严重供液不足且功图反转\n" +
                "48 = 供液不足且功图反转\n" +
                "49 = 结蜡且供液不足\n" +
                "50 = 轻微气影响";
        for (String line : s.split("\n")) {
            String[] split = line.split(" = ");
            String gkCode = split[0];
            String gk = split[1];
            DgnsGtmloutcode gtmloutcode = new DgnsGtmloutcode();
            gtmloutcode.setGkcode(Integer.parseInt(gkCode));
            gtmloutcode.setGkdec(gk);
            dgnsGtmloutcodeService.save(gtmloutcode);
        }
    }

}
