package com.gct.edge.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xsr
 * @since 2024-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AoidRodsModule extends Model<AoidRodsModule> {

    private static final long serialVersionUID=1L;

    private Integer dp;

    private String sMax;

    private String sMin;

    private Integer rodGroupCode;

    private String lMax;

    private Integer nMax;

    private Integer nMin;

    private String rodsDetail;

    @TableField(exist=false)
    private List<List<Double>> rodsDetailFormat;

    private String strengthCategory;

    private String rodDensity;

    private String rodV;

    private String rodE;

    public void formatRodDetail(){
        rodsDetailFormat = new ArrayList<>();
        if (rodsDetail.isEmpty()) {
            return;
        }
        String[] ss = rodsDetail.split(",");
        if (ss.length % 2 != 0) {
            return;
        }
        for (int i = 0; i < ss.length - 1; i += 2) {
            List<Double> p = new ArrayList<>();
            p.add(Double.parseDouble(ss[i]));
            p.add(Double.parseDouble(ss[i + 1]));
            rodsDetailFormat.add(p);
        }
    }

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
