package com.gct.edge.quartztask;

import com.gct.edge.service.excutor.ModbusReadService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

/**
 * @author xusirui 2024/3/7
 */
public class ModbusReadTask extends QuartzJobBean {

    @Autowired
    ModbusReadService modbusReadService;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        //todo: read data from modbus
        modbusReadService.readDataAndSubmitTask();
    }
}
