package com.gct.edge.service.excutor;

import com.gct.edge.entity.CalculateInputData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * @author xusirui 2024/3/7
 */
@Service
public class CalculateTaskExecutor {

    private static ExecutorService executor = Executors.newFixedThreadPool(8);

    @Autowired
    CalculateService calculateService;

    public void submit(CalculateInputData inputData){
        executor.submit(()->{
            //:todo run calculate
            try {
                calculateService.diagnoseAndCalculateLiquid(inputData);
            }catch (Exception e){
                e.printStackTrace();
            }
        });
    }
}
