package com.gct.edge.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.edge.entity.DgnsGtbaseparam;
import com.gct.edge.mapper.DgnsGtbaseparamMapper;
import com.gct.edge.service.abst.DgnsGtbaseparamService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xsr
 * @since 2024-03-07
 */
@Service
public class DgnsGtbaseparamServiceImpl extends ServiceImpl<DgnsGtbaseparamMapper, DgnsGtbaseparam> implements DgnsGtbaseparamService {

    @Override
    public DgnsGtbaseparam getByWellIdAndProdDate(String wellName, String prodDate) {
        QueryWrapper<DgnsGtbaseparam> wrapper = new QueryWrapper<DgnsGtbaseparam>()
                .eq("wellname", wellName)
                .eq("recivetime", prodDate);
        List<DgnsGtbaseparam> list = baseMapper.selectList(wrapper);
        if (list != null && list.size() > 0) {
            return list.get(0);
        }
        return null;
    }
}
