package com.gct.edge.zdly.dgns.decisiontree.DataLoadTemplates;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.edge.zdly.dgns.decisiontree.DependentDataConstructor;
import static com.gct.edge.zdly.dgns.decisiontree.DependentDataFieldEnum.*;
import com.gct.edge.entity.AoidConfigData;
import com.gct.edge.service.abst.AoidConfigDataService;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.Map;


@DependentDataConstructor.DependentDataLoad(Name = "SYTS")
public class SYTSJudgeAlgorithmDataLoad implements DependentDataConstructor.IDependentDataLoad {

    @Autowired
    AoidConfigDataService aoidConfigDataService;

    @Override
    public void loadData(Map<String, Object> gdMap) {
        String wellName = gdMap.get(JH.getEnDec()).toString();
        AoidConfigData aoidConfigData = aoidConfigDataService.getOne(new QueryWrapper<AoidConfigData>().eq("jh", wellName));

        if (aoidConfigData == null) aoidConfigData = new AoidConfigData();
        gdMap.put(HSL.getEnDec(), aoidConfigData.getHsl());
        gdMap.put(BZHSL.getEnDec(), aoidConfigData.getHsl());
        //
        gdMap.put(RCY.getEnDec(), -1);
        gdMap.put(BZRCY.getEnDec(), -1);
        gdMap.put(RCYe.getEnDec(), -1);
        gdMap.put(BZRCYe.getEnDec(), -1);
        gdMap.put(RCQ.getEnDec(), -1);
    }
}
