package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;


import javax.naming.OperationNotSupportedException;

/**
 * @author xusirui 2021/12/30
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "abs", describe = "绝对值运算模板")
public class AbsComputerTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(Object[] args) throws OperationNotSupportedException {
        double v = Double.parseDouble(args[0].toString());
        if (v < 0) v = -v;
        return new Object[]{v};
    }
}
