package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;
/**
 * class name: NotAndLogicTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/27 下午2:22
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "!&&", describe = "!(p&&p&&p)且非，逻辑运算模板(多参) return default: false")
public class NotAndLogicalTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(Object[] args) {
        boolean i = true;
        if (args == null || args.length == 0) return new Object[]{i};
        for (Object arg : args) {
            i = i && (boolean) arg;
            if (!i) break;
        }
        i = !i;
        return new Object[]{i};
    }
}
