package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;
import javax.naming.OperationNotSupportedException;

/**
 * class name: NotLogicTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/27 下午2:22
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "!", describe = "非，逻辑运算模板(1参)")
public class NotLogicalTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(Object[] args) throws OperationNotSupportedException {
        if (args == null || args.length != 1)
            throw new OperationNotSupportedException("NotLogicalTemplate:Only supported one param to compute");
        return new Object[]{!(boolean) args[0]};
    }
}
