package com.gct.etl.parser;

import com.gct.etl.RegisterParser;
import com.ghgande.j2mod.modbus.procimg.Register;

/**
 * dec:
 * <p>
 * BitsToDouble
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2024/4/12 上午10:57
 */
public class DateTimeParser implements RegisterParser<String> {
    @Override
    public String apply(Register... register) {
        if (register.length < 6) return "0000-00-00 00:00:00";
        return String.format("%d-%02d-%02d %02d:%02d:%02d", register[0].getValue() + 2000, register[1].getValue(),
                register[2].getValue(), register[3].getValue(), register[4].getValue(), register[5].getValue());
    }

}
