package com.gct.edge.quartztask;

import com.gct.edge.entity.AoidProdState;
import com.gct.edge.entity.AoidSinglegtYield;
import com.gct.edge.entity.DgnsGtcvrresult;
import com.gct.edge.service.abst.AoidProdStateService;
import com.gct.edge.service.abst.AoidSinglegtYieldService;
import com.gct.edge.service.abst.DgnsGtcvrresultService;
import com.gct.edge.service.excutor.DataSendService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.quartz.QuartzJobBean;

import java.applet.AppletContext;

/**
 * @author xusirui 2024/4/17
 */
public class DataSendTask extends QuartzJobBean {

    @Autowired
    DataSendService dataSendService;

    @Autowired
    ApplicationContext applicationContext;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        //todo: test?
        dataSendService.dataSend("aoid_prod_state","create_time",
                applicationContext.getBean(AoidProdStateService.class), AoidProdState.class);
        dataSendService.dataSend("aoid_singlegt_yield","prod_date",
                applicationContext.getBean(AoidSinglegtYieldService.class), AoidSinglegtYield.class);
        dataSendService.dataSend("dgns_gtcvrresult","createtime",
                applicationContext.getBean(DgnsGtcvrresultService.class), DgnsGtcvrresult.class);
    }
}
