package com.gct.edge.zdly.dgns.decisiontree;

import lombok.Data;

import java.util.List;

/**
 * interface name: IDecisionUnit
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/23 下午2:47
 */
@Data
public abstract class AbstractDecisionUnit {

    /*
    指定的一系列运行模板 name
     */
    public String[] exeCalTemps;
    /*
    输入参数   name
     */
    public List<List<String>> inArgsFigure;
    /*
    输出参数 name
     */
    public List<List<String>> outArgsFigure;
    /*
    该算法单元的 可读性算法描述
     */
    public  String describe;


}
