package com.gct.edge.zdly.dgns.decisiontree.DataLoadTemplates;

import java.util.Map;
import com.gct.edge.zdly.dgns.decisiontree.DependentDataConstructor;
import static com.gct.edge.zdly.dgns.decisiontree.DependentDataFieldEnum.*;



@DependentDataConstructor.DependentDataLoad(Name = "FELS")
public class FELSJudgeAlgorithmDataLoad implements DependentDataConstructor.IDependentDataLoad {
    @Override
    public void loadData(Map<String, Object> gdMap) {
        //todo :1.4.8 use algorithm to deal sgt get SBFKTCMJ XBFKTCMJ
        gdMap.put(SBFKTCMJ.getEnDec(), Double.valueOf(0.08));
        gdMap.put(XBFKTCMJ.getEnDec(), Double.valueOf(0.08));
        gdMap.put(SXPJZH.getEnDec(), Double.valueOf(1));
        gdMap.put(BZSXPJZH.getEnDec(), Double.valueOf(2));
        gdMap.put(XXPJZH.getEnDec(), Double.valueOf(1));
        gdMap.put(BZXXPJZH.getEnDec(), Double.valueOf(2));
        gdMap.put(SXDDD.getEnDec(),Integer.valueOf(1));
        gdMap.put(XXDDD.getEnDec(),Integer.valueOf(2));
    }
}
