package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;

import javax.validation.constraints.NotNull;


/**
 * class name: AddComputeTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/23 下午4:35
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "+",describe = "加法运算模板(多参)")
public class AddComputeTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(@NotNull Object[] args) throws NumberFormatException{
        double a=0;
        for (Object arg : args) {
            a+=Double.parseDouble(arg.toString());
        }
        return new Object[]{a};
    }
}
