package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;

/**
 * class name: AndNotLogicalTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/27 下午3:57
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "!&&!", describe = "!(p)&&!(p) 非且，逻辑运算模板(多参) return default: true")
public class AndNotLogicalTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(Object[] args)  {
        boolean i = true;
        if (args == null || args.length == 0) return new Object[]{i};
        for (Object arg : args) {
            i = i && (!(boolean) arg);
            if (!i) break;
        }
        return new Object[]{i};
    }
}
