package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;
import javax.naming.OperationNotSupportedException;

/**
 * class name: EqCompareTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/27 下午4:27
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "=", describe = "= 比较运算模板 值类型/String参数2个")
public class EqCompareTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(Object[] args) throws OperationNotSupportedException {
        boolean b = false;
        if (args[0] instanceof String) b = args[0].toString().equals(args[1].toString());
        else
            b = Double.parseDouble(args[0].toString()) == Double.parseDouble(args[1].toString());
        return new Object[]{b};
    }
}
