package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;

import javax.naming.OperationNotSupportedException;

/**
 * class name: NullCompareTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/27 下午4:30
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "=null", describe = "=null 比较运算模板 引用类型参数1个")
public class NullCompareTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(Object[] args) throws OperationNotSupportedException {
        return new Object[]{args[0] == null};
    }
}
