package com.gct.edge.zdly.dgns.decisiontree.MataComputeTemplates;

import com.gct.edge.zdly.dgns.decisiontree.ComputeTemplateProxyFactory;

/**
 * class name: OrLogicTemplate
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/27 下午2:21
 */
@ComputeTemplateProxyFactory.ComputeTemplate(name = "||", describe = "或，逻辑运算模板(多参) return default: false")
public class OrLogiccalTemplate implements ComputeTemplateProxyFactory.IComputeTemplate {
    @Override
    public Object[] invokeCompute(Object[] args) {
        boolean i = false;
        if (args == null || args.length == 0) return new Object[]{i};
        for (Object arg : args) {
            i = i || (boolean) arg;
            if (i) break;
        }
        return new Object[]{i};

    }
}
